LFR-FSW - Bug #88

CP_LFR_ENTER_MODE_TIME de TC_LFR_ENTER_MODE ignoré
12/03/2014 06:15 PM - Gerald Saule

Status: Closed Start date: 12/03/2014
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.10 hours
revision: r104

Description

Le champ CP_LFR_ENTER_MODE_TIME de TC_LFR_ENTER_MODE est toujours ignoré.
La transition vue semble immédiate.

17:58:32.947046, TM_LFR_HK, TIME=0x00000010cbe9, HK_LFR_MODE: NORMAL = 1, SY_LFR_SW_VERSION N1=1,
SY LFR _SW_VERSION N2-0, SY LFR_SW_VERSION N3=0, SY LFR_SW_VERSION_N4=2,

SY LFR FPGA_VERSION N1=0, SY LFR FPGA VERSION_N2=0, SY LFR_FPGA VERSION N3=15
17:58:33.58306, TC_LFR_ENTER_MODE, CP_LFR_MODE: STANDBY = 0,
CP_LFR_ENTER_MODE_TIME=0x000000120000

17:58:33.600928, TM_LFR_TC_EXE_SUCCESS

17:58:33.947034, TM_LFR_HK, TIME=0x00000011cbe9, HK_LFR_MODE: STANDBY =0
Contexte:
LPPMON Version=0.2.2 - Branch=default - Changeset=835955994d5f
Carte mini-LFR: LFR-172200 dev V1.0; No série lll (sans connecteurs sub-click)
Vhdl: mini-lfr_0.0.0.15
Soft: 1.0.0.2 (variante sur carte finale) = r104
Brique Brique Star-Dundee S/N 46120065.
TEST CASE associé(s) = SVS-0034.

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1

History

#1 - 19/03/2014 04:35 PM - Gerald Saule
Le rejet lorsque CP_LFR_ENTER_MODE_TIME<'temps interne' (SSS-CP-EQS-322) n'est également pas réalisé.

16:08:02.270435, TM_LFR_HK, TIME=*0x0000001d1f05*, HK_LFR_MODE: SBM2 = 4

16:08:02.952088, TC_LFR_ENTER_MODE, CP_LFR_MODE: STANDBY = 0, CP_LFR_ENTER_MODE_TIME=0x0000001c0000
16:08:02.973026, TM_LFR_TC_EXE_SUCCESS

16:08:03.270756, TM_LFR_HK, TIME=0x0000001e1f05, HK_LFR_MODE: STANDBY =0

Contexte:

LPPMON Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR:LFR-172200 dev V1.0; No série lll (sans connecteurs sub-click)
Vhdl: mini-lfr_0.0.15

Soft: 1.0.0.1 (variante sur carte finale)

Brique Star-Dundee S/N 46120065.

TEST CASE = SVS_0070
RPW-SYS-IDB-00067-LES _Issuel_Rev8

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1
#2 - 31/03/2014 07:29 AM - paul leroy

- Status changed from New to Resolved

fsw >= 1.0.0.5

La fonction de commutation de mode a une date fixée est implémentée conformément a la SSS:

=> un mode erroné = TM_LFR_TC_EXE_INCONSISTENT

=> une transition non autorisée = TM_LFR_TC_EXE_NOT_EXECUTABLE

=> une date inférieure ou égale au temps courant = TM_LFR_TC_EXE_INCONSISTENT

=> une date valant 0 = transition immédiate

=> une date postérieure de plus de 3 secondes a la date courante = TM_LFR_TC_EXE_INCONSISTENT
=> toute autre date entraine la transition a la date demandée

#3 - 15/05/2014 12:09 PM - paul leroy

- Assignee changed from paul leroy to bruno katra

#4 - 16/05/2014 01:22 PM - Veronique bouzid
- Status changed from Resolved to Feedback

- Assignee changed from bruno katra to paul leroy

Ce point est tjs d'actualité avec la version Soft: 1.0.0.6 (variante sur carte finale).
PRECISION: Je ne parle que des TM_LFR_HK.

En rejouant le test SVS-0034, j'ai pu observé gu'effectivement ce point n'etait tjs pas résolu.
J ai donc ecrit un test plus simple qui demande

- une commutation de mode t+1s

- une commutation de mode t+2s

- une commutation de mode t+3s

Pour vérifier le dysfonctionnement, voir le fichier 2014_05_16-12_48_12-Detail.txt (en PJ)
Ici la trace t+2s, on voit bien que le bloc de HK montre deja la communication de mode avant la date demandée.
12:47:48.978489, TM_LFR_HK,TIME=0x800000043a18, HK_LFR_MODE: SBM2 = 4

12:47:49.776147, TC_LFR_ENTER_MODE (CP_LFR_MODE=0),
CP_LFR_MODE: STANDBY = 0, CP_LFR_ENTER_MODE_TIME=0x000000060000,

12:47:49.796455, TM_LFR_TC_EXE_SUCCESS, TIME=0x800000050bc0

12:47:49.978485, TM_LFR_HK, TIME=0x800000053a19, HK_LFR_MODE: STANDBY =0
HK_LFR_LAST_EXE_TC_TIME=0x800000050bc0 ( correspond a TM_LFR_TC_EXE_SUCCESS)

La commutation de mode a été effective dans la foulée.

Contexte:
LPPMON Version=0.2.2 - Branch=default - Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série 5
Vhdl: 0.0.16
Soft: 1.0.0.6 (variante sur carte finale)

Brique Star-Dundee S/N XX.
Script utilisé
SVS-0034/just_tm_hk.py

#5 - 11/06/2014 05:00 PM - bruno katra
- File 2014_05_16-12_48 12-Detail.txt added

#6 - 12/06/2014 09:05 AM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

Le fonctionnement précis du changement de mode est le suivant:

Sila TC est correcte

1) on arréte le mode en cours immédiatement

2) on redémarre les taches temps réel avec les paramétres du nouveau mode

3) on configure le hardware pour qu'il démarre I'acquisition a la date fixée

4) a la fin de ces étapes, LFR est officiellement dans le mode, ce que refletent les HK. C'est I'acquisition proprement dite qui commencera a
CP_LFR_ENTER_MODE_TIME. On considére que LFR a changé de mode a la fin de la préparation compléte du-dit mode.
C'est quelquechose dont j'avais parlé avec Gérald et ¢ca nous paraissait la fagon la plus appropriée de procéder. Il faudrait peut-étre mettre a jour la
SRS pour préciser le fonctionnement.

Pour finit, le juge pour une commutation réussie est la datation des données scientifiques, notamment les waveforms, qui doit étre liée a
CP_LFR_ENTER_MODE_TIME. C'est un des points a vérifier.

#7 - 12/06/2014 09:29 AM - Veronique bouzid

Hello,

Il ne faut donc pas utiliser les TM_LFR_HK pour valider le changement de mode a un temps.
Le pt #118 concerne egalement la validation du chgt de mode a un temps temps et la méthode
pour valider ce chgt utile les CWF du mode 3 sur les conseils de Paul.

Ok pour préciser dans la SRS les arguments de Paul.

#8 - 13/06/2014 05:26 PM - bruno katra
- Status changed from Feedback to Closed

SRS mise a jour avec les informations de Paul sur la fagon de valider un changement de mode (REQ-LFR-SRS-5509_Ed1 dans SRS 1.6+).

Files

2014_05_16-12_48_12-Detail.txt 107 KB 11/06/2014 bruno katra
https://hephaistos.lpp.polytechnique.fr/redmine/issues/118
http://www.tcpdf.org

